summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2010-06-28 16:36:33 +0200
committer dsomero2010-06-28 16:36:33 +0200
commitedf479a1dac069288a882aac96f949d1261ae06d (patch)
tree93cce2127a70a2e7a78b95ba4d3a3aa3760d91b5 /audio
parent0b96a2ba5df13465ffb4bb212a72c442e1adcda4 (diff)
downloadslackbuilds-edf479a1dac069288a882aac96f949d1261ae06d.tar.gz
audio/mp3val: Added (check and fixing mp3 file integrity)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/mp3val/README8
-rw-r--r--audio/mp3val/mp3val.SlackBuild68
-rw-r--r--audio/mp3val/mp3val.info10
-rw-r--r--audio/mp3val/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/audio/mp3val/README b/audio/mp3val/README
new file mode 100644
index 0000000000..e340e78181
--- /dev/null
+++ b/audio/mp3val/README
@@ -0,0 +1,8 @@
+MP3val is a small, high-speed, free software tool for checking MPEG
+audio files' integrity. It can be useful for finding corrupted files
+(e.g. incompletely downloaded, truncated,containing garbage).
+MP3val is also able to fix most of the problems.
+
+The most common MPEG audio file type is MPEG 1 Layer III (mp3), but
+MP3val supports also other MPEG versions and layers. The tool is also
+aware of the most common types of tags (ID3v1, ID3v2, APEv2).
diff --git a/audio/mp3val/mp3val.SlackBuild b/audio/mp3val/mp3val.SlackBuild
new file mode 100644
index 0000000000..da6f9497d8
--- /dev/null
+++ b/audio/mp3val/mp3val.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Written by Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
+
+PRGNAM=mp3val
+VERSION=${VERSION:-0.1.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz # source file comes with -src appended
+mv $PRGNAM-$VERSION-src $PRGNAM-$VERSION # .tar extracts to directory with -src appended
+cd $PRGNAM-$VERSION
+mv Makefile.linux Makefile
+
+chown -R root:root .
+chmod 644 *
+
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+mkdir -p $PKG/usr/bin
+cp mp3val $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ changelog.txt manual.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mp3val/mp3val.info b/audio/mp3val/mp3val.info
new file mode 100644
index 0000000000..4a2b026fb3
--- /dev/null
+++ b/audio/mp3val/mp3val.info
@@ -0,0 +1,10 @@
+PRGNAM="mp3val"
+VERSION="0.1.8"
+HOMEPAGE="http://mp3val.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mp3val/mp3val-0.1.8-src.tar.gz"
+MD5SUM="dc8adad909d0b8734ed22029b2de2cb4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"
diff --git a/audio/mp3val/slack-desc b/audio/mp3val/slack-desc
new file mode 100644
index 0000000000..4240eaf8ab
--- /dev/null
+++ b/audio/mp3val/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mp3val: mp3val (tool for checking and fixing mp3 file integrity)
+mp3val:
+mp3val: MP3val is a small, high-speed, free software tool for checking
+mp3val: MPEG audio files' integrity. It can be useful for finding
+mp3val: corrupted files (e.g. incompletely downloaded, truncated, containing
+mp3val: garbage). MP3val is also able to fix most of the problems.
+mp3val: The most common MPEG audio file type is MPEG 1 Layer III (mp3),
+mp3val: but MP3val supports also other MPEG versions and layers. The tool
+mp3val: is also aware of the most common types of tags (ID3v1, ID3v2, APEv2).
+mp3val:
+mp3val: Homepage: http://mp3val.sourceforge.net/